For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usJoin our Discord
HomeAdministration & GovernanceDevelopment and IntegrationAgent ForgeAPI ReferenceSDK Docs
HomeAdministration & GovernanceDevelopment and IntegrationAgent ForgeAPI ReferenceSDK Docs
  • API Reference
    • POSTResponses
    • POSTChat Completions
    • POSTCompletions
    • POSTEmbeddings
    • POSTAudio Transcription
    • POSTDocuments Extract
    • POSTRerank
    • POSTTokenize
    • POSTDetokenize
    • POSTFactuality
    • POSTInjection
    • POSTPII
    • POSTToxicity
    • GETModels
    • GETMCP Servers
    • GETMCP Tools
  • Valid Inputs
    • Enumerations for API
LogoLogo
Contact usJoin our Discord
API Reference

Audio Transcription

POST
https://{your-pg.api-domain}.com/audio/transcriptions
POST
/audio/transcriptions
$curl -X POST https://{your-pg.api-domain}.com/audio/transcriptions \
> -H "Toxicity: false" \
> -H "Pii: " \
> -H "Replace-Method: " \
> -H "Entity-List: ["ADDRESS"]" \
> -H "Injection: false" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F model="base" \
> -F [email protected]
1{
2 "text": "And so my fellow Americans, ask not what your country can do for you, ask what you can do for your country."
3}
This endpoint allows you to transcribe audio.
Was this page helpful?
Previous

Documents Extract

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

ToxicitybooleanOptional
Whether to check the output for toxicity.
PiistringOptional
Whether to check the output for Pii, and what to do if found. Supported values are 'replace' and 'block'.
Replace-MethodstringOptional
Method to replace any found PII. Supported values are 'category', 'fake', 'mask', and 'random'.
Entity-Listlist of stringsOptional
An array of entity types that the PII check should ignore.
InjectionbooleanOptional
Whether to check the output for a prompt injection.

Request

This endpoint expects a multipart form containing a file.
modelstringRequired
The transcription model to use.
filefileRequired
The audio file to upload.
languagestringOptional
The language the audio is in.
promptstringOptional
An optional text to guide the model's style or continue a previous audio segment.
temperaturedoubleOptional

The temperature parameter for controlling randomness in transcription. Supports a range of 0.0-2.0.

timestamps_granularities[]string or list of anyOptional
Sets whether timestamps are returned and at what granularity.
diarizationbooleanOptional

Whether to diarize the audio and return speaker turns. Not currently supported in multi-tenant environments.

response_formatstringOptional

The format for the response object. Defaults to “json” and must be set to “verbose_json” when using diarization or timestamp granularities.

Response

Successful response.
textstring
The transcribed audio.
taskstring
The task used in the request.
languagestring
The language of the audio file.
durationdouble
The duration of the audio file in seconds.
segmentslist of objects
An array containing objects with segment level data.
wordslist of objects
An array containing objects with word level data.

Errors

400
Bad Request Error
403
Forbidden Error